package com.ynet.life.sujrb.action;

import com.ibm.icu.util.Calendar;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.text.SimpleDateFormat;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetBillDateAction.class */
public class GetBillDateAction extends LifeAction {
    private String repaymentWay;
    private String firstBiiDate;
    private String repaymentCount;
    private String outputBillDate;

    public String execute(Context context) throws GENEException {
        String billDate = null;
        String repaymentNum = null;
        try {
            String way = (String) context.getDataValue(this.repaymentWay);
            SimpleDateFormat sdf = null;
            Calendar caledndar = null;
            if (!way.equals("00")) {
                repaymentNum = (String) context.getDataValue(this.repaymentCount);
                SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyyMMdd");
                sdf = simpleDateFormat;
                Date firstBillDate = simpleDateFormat.parse((String) context.getDataValue(this.firstBiiDate));
                Calendar calendar = Calendar.getInstance();
                caledndar = calendar;
                calendar.setTime(firstBillDate);
            }
            if (way.equals("31")) {
                caledndar.add(2, Integer.parseInt(repaymentNum));
                billDate = sdf.format(caledndar.getTime());
            } else if (way.equals("32")) {
                caledndar.add(2, Integer.parseInt(repaymentNum) * 3);
                billDate = sdf.format(caledndar.getTime());
            } else if (way.equals("33")) {
                caledndar.add(2, Integer.parseInt(repaymentNum) * 6);
                billDate = sdf.format(caledndar.getTime());
            }
            context.put(this.outputBillDate, billDate);
            return "0";
        } catch (Exception e) {
            Trace.logError("LifeAction", "RZPT90005:金融租赁当前账单日计算异常", e);
            throw new TranFailException("RZPT90005", "金融租赁当前账单日计算异常", false);
        }
    }

    public void setRepaymentWay(String repaymentWay) {
        this.repaymentWay = repaymentWay;
    }

    public void setFirstBiiDate(String firstBiiDate) {
        this.firstBiiDate = firstBiiDate;
    }

    public void setRepaymentCount(String repaymentCount) {
        this.repaymentCount = repaymentCount;
    }

    public void setOutputBillDate(String outputBillDate) {
        this.outputBillDate = outputBillDate;
    }
}
